Subject: [bug#32517] [PATCH 0/7] Fix git-annex dependencies.

From: Timothy Sample <[email-masked]>
Date: Thu, 23 Aug 2018 23:07:12 -0400

Hi Guix,

This patch fixes several Haskell packages needed for building git-annex.
Mostly the packages are updated to work with our new versions of
ghc-conduit and ghc-resourcet.

One patch updates ghc-esqueleto to an upstream Git commit.  This package
hasn’t had a release in a while, but is still being developed.  The most
recent release on Hackage does not work with some of our recently
updated Haskell packages.  According to Hackage, Fedora, Debian, and
Arch (community) are all building esqueleto from its repository.  I
chose the same commit used by Debian and Arch (Fedora is using a newer
one).

-- Tim